libcoap 4.3.2rc2

Data Structures | Macros | Typedefs | Enumerations | Functions
coap_ws_internal.h File Reference

Internal CoAP WebSockets support. More...

`#include "coap_internal.h"`

Go to the source code of this file.

## Data Structures
struct | coap_ws_state_t
| WebSockets session state. More...

## Macros
#define | COAP_MAX_FS (2 + 8 + 4)
#define | WS_B0_FIN_BIT 0x80
#define | WS_B0_RSV_MASK 0x70
#define | WS_B0_OP_MASK 0x0f
#define | WS_B1_MASK_BIT 0x80
#define | WS_B1_LEN_MASK 0x7f

## Typedefs
typedef struct coap_ws_state_t | coap_ws_state_t
| WebSockets session state. More...

## Enumerations
enum | coap_ws_opcode_t { WS_OP_CONT = 0x0 , WS_OP_TEXT , WS_OP_BINARY , WS_OP_CLOSE = 0x8 , WS_OP_PING , WS_OP_PONG }

## Functions
ssize_t | coap_ws_write (coap_session_t *session, const uint8_t *data, size_t datalen)
| Function interface for websockets data transmission. More...
ssize_t | coap_ws_read (coap_session_t *session, uint8_t *data, size_t datalen)
| Function interface for websockets data receiving. More...
void | coap_ws_establish (coap_session_t *session)
| Layer function interface for layer below WebSockets accept/connect being established. More...
void | coap_ws_close (coap_session_t *session)
| Layer function interface for WebSockets close for a session. More...

## Detailed Description

Internal CoAP WebSockets support.

Definition in file coap_ws_internal.h.